<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">

	<!-- Bootstrap CSS-->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">

	<!-- External CSS -->
	<!-- <link rel="stylesheet" type="text/css" href="./style.css"> -->

	<title>Bootstrap Grid System</title>
</head>
<body class="text-center">

		<h1>Bootstrap Grid System</h1>

		<!-- Start of Two Columns -->

		<h2> Two Columns</h2>
		<div class="container-fluid">
			
			<!-- This is a row with two equal columns -->
			<h3>1:1 Ratio</h3>

			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col-6">6 Col</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-6">6 Col</div>
			</div>

			<!-- Row with two columns divided into 1:2 ratios -->
			<h3>1:2 Ratio</h3>

			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col-4">4 Col</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-8">8 Col</div>
			</div>

			<!-- Mini Activity -->
			<!-- 
			- create a row with two columns divided into 1:3 ratio
			- add an h3 tag for the title
			 -->

			 <h3>1:3 Ratio</h3>

			 <div class="text-light row">
			 	<div class="bg-primary pt-3 pb-3 border border-dark col-3">3 Col</div>
			 	<div class="bg-secondary pt-3 pb-3 border border-dark col-9">9 Col</div>
			 </div>

		</div>

		<!-- End of Two Columns -->


		<!-- Start of Three Columns -->

		<h2>Three Columns</h2>
		<div class="container-fluid">

			<!-- Row with 3 equal columns -->
			<h3>1:1:1 Ratio</h3>

			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col-4">4 Col</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-4">4 Col</div>
				<div class="bg-danger pt-3 pb-3 border border-dark col-4">4 Col</div>
			</div>

			<h3>1:2:1 Ratio</h3>

			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col-3">3 Col</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-6">6 Col</div>
				<div class="bg-danger pt-3 pb-3 border border-dark col-3">3 Col</div>
			</div>

			<h3>Uneven Ratio</h3>

			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col-3">3 Col</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-7">7 Col</div>
				<div class="bg-danger pt-3 pb-3 border border-dark col-2">2 Col</div>
			</div>
		</div>

		<!-- End of Three Columns -->


		<br><br>
		
		<!-- CRC Rule - Container, Row, Column -->

		<!-- Start of Automatic Sizing -->
		<h2>Automatic Sizing</h2>

		<div class="container-fluid">
			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col">Auto</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col">Auto</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
			</div>

		</div>
		<!-- Start of Automatic Sizing -->

		<!-- Start of Mobile Responsive Column -->

		<h2>Mobile Responsive Columns</h2>

		<div class="container-fluid">
			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col-sm-6 col-md-4 col-lg-2">Responsive</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-sm-6 col-md-8 col-lg-10">Responsive</div>
			</div>
		</div>
		<!-- End of Mobile Responsive Column -->


		<br><br>
		
		<!-- Start of Multi-Col Layout -->

		<h2>Multi-Column Layout</h2>	

		<div class="container-fluid">
			
			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 1</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-4">Catalog 2</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 3</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-4">Catalog 4</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 5</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-4">Catalog 6</div>
			</div>

		</div>

		<!-- End of Multi-Col Layout -->

		<br><br>

		<!-- Start of Offsetting Columns -->
		
		<h2>Offsetting Columns</h2>

		<div class="container-fluid">
			
			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark offset-2 col-6">Offset Column</div>
				<div class="bg-primary pt-3 pb-3 border border-dark offset-md-3 col-6">Offset Column</div>
				<div class="bg-primary pt-3 pb-3 border border-dark offset-lg-4 col-6">Offset Column</div>
			</div>
		</div>


		<!-- End of Offsetting Columns -->

		<br><br>

		<!-- Start of Column Orders -->

		<h2>Column Orders</h2>

		<div class="container-fluid">
			
			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col order-2 order-md-1">Left</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col order-1 order-md-2">Right</div>
			</div>
		</div>

		<!-- End of Column Orders -->




		<!-- Start of JS Dependencies -->

		<script 
			src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" 
			integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
		<script 
			src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" 
			integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>

		<!-- End of JS Dependencies -->

</body>
</html>